# $Revision: 1.139 $, $Date: 2002/11/17 11:56:41 $
#
# Conditional build:
# _without_ssl - do not use SSL
#
Summary:	Commandline ftp client
Summary(ko):	ٿ ư FTP/HTTP Ŭ̾Ʈ
Summary(pl):	Zaawansowany klient ftp
Summary(pt_BR):	Sofisticado programa de transferncia de arquivos (cliente ftp/http)
Summary(zh_CN):	lftp ͻ˳
Name:		lftp
Version:	2.6.3
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.yars.free.net/pub/software/unix/net/ftp/client/lftp/%{name}-%{version}.tar.bz2
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-pl.patch
Icon:		ftp.gif
URL:		http://lftp.yar.ru/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gcc-c++
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.2
%{!?_without_ssl:BuildRequires:	openssl-devel >= 0.9.6a}
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks in
background. It will reconnect and reget the file being transferred if
the connection broke. You can start a transfer in background and
continue browsing on the ftp site. It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%description -l pl
Lftp jest zaawansowanym klientem ftp. Potrafi automatycznie poczy
si z serwerem ftp po zerwanym poczeniu i dokoczy ciganie
archiww. Lftp moe pracowa w tle i nie zrywa przy tym poczenia po
tym jak si wylogujesz. Program ten honoruje komendy powoki podczas
sesji, np. `ls -al | less` itp. Doskonale si spisuje jako aplikacja
do mirrorowania serwerw FTP.

%description -l pt_BR
O lftp  um programa de transferncia de arquivos por linha de
comando. Ele suporta os protocolos FTP e HTTP. Suporta: proxy ftp,
proxy http, ftp sobre http, opie/skey, transferncias fxp, repetio
de tentativa automtica em erros no-fatais e timeouts, ipv6, socks.
Veja o arquivo FEATURES para uma lista mais detalhada.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure \
	--with-modules \
	--with%{?_without_ssl:out}-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

# Ugly hack --misiek
%{__make} install DESTDIR=$RPM_BUILD_ROOT
rm src/*.la

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install lftp.conf $RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS FAQ FEATURES BUGS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
# All modules specified here because lftp breaks things
%attr(755,root,root) %{_libdir}/lftp/%{version}/cmd-mirror.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/cmd-sleep.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/libnetwork.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/proto-file.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/proto-fish.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/proto-ftp.so
%attr(755,root,root) %{_libdir}/lftp/%{version}/proto-http.so

%attr(755,root,root) %{_datadir}/lftp
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/lftp.conf
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lftp.spec,v $
Revision 1.139  2002/11/17 11:56:41  kloczek
- updated to 2.6.3: bug fixes.

Revision 1.138  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.137  2002/10/06 12:25:24  kloczek
- merge translations from MIZI and TurboLinux.

Revision 1.136  2002/09/11 18:13:37  kloczek
- updated to 2.6.2.

Revision 1.135  2002/08/06 08:12:45  qboosh
- release 2

Revision 1.134  2002/08/05 19:50:13  qboosh
- cleaup, don't overwrite pl.po with outdated version, use patch to add
  few missing entries instead
- s/LocalAccess.o/LocalAccess.lo/ in amfix patch - hope it will work with
  both libtool versions (1.4 didn't find .o)

Revision 1.133  2002/08/05 09:40:08  mmazur
- updated to 2.6.0; rel1; STBR (needs testing... not sure if it built ok)

Revision 1.132  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.131  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.130  2002/06/03 08:52:52  orzech
- fixed home_etc.patch
- rel 3 , STB - urgent!

Revision 1.129  2002/06/02 00:32:12  orzech
- new %%doc

Revision 1.128  2002/06/02 00:21:38  orzech
- added home_etc.patch
- rel 2

Revision 1.127  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.126  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.125  2002/05/11 20:50:25  kloczek
- updated to 2.5.2,
- map %%{__cxx} to %%{__cc}.

Revision 1.124  2002/04/21 14:34:10  qboosh
- changed amfix patch so it works now with libtool 1.4.2 and 1.4d
  (BTW, is "Ugly hack" still needed?)

Revision 1.123  2002/04/20 09:42:20  mmazur
- updated to 2.5.1;STBR

Revision 1.122  2002/04/19 18:35:58  ankry
- fixed build (names of ar archives)
- release 3, STBR

Revision 1.121  2002/04/14 11:58:43  qboosh
- amfix patch needed for automake 1.6

Revision 1.120  2002/04/13 22:48:18  ankry
- added lftpget man page (from Debian + pl translation)
- release 2

Revision 1.119  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.118  2002/03/13 06:25:33  misiek
- updated to 2.5.0a

Revision 1.117  2002/02/27 03:43:22  kloczek
- updated to 2.4.10 (bugfix release).

Revision 1.116  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.115  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.114  2002/01/30 10:41:06  misiek
- add updated translation file (pl)

Revision 1.113  2002/01/30 10:02:19  misiek
- updated to 2.4.9

Revision 1.112  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.111  2001/12/06 06:37:30  kloczek
- updayted to 2.4.8 (contains only bug fixes),
- removed locale patch (included in this version).

Revision 1.110  2001/11/19 13:36:08  misiek
- fix for floats; release 2

Revision 1.109  2001/11/15 05:12:29  kloczek
- updated to 2.4.7.

Revision 1.108  2001/11/01 15:15:25  areq
- 2.4.6, STBR

Revision 1.107  2001/10/18 22:17:54  misiek
- updated to 2.4.5
- added hack in install section to get all plugins installed

Revision 1.106  2001/10/10 07:48:57  misiek
- specify all so names explictly

Revision 1.105  2001/10/08 14:15:55  kloczek
- added pt_BR translation stolen from CNV.

Revision 1.104  2001/10/07 19:34:51  misiek
- release 2; fish protocol was missing

Revision 1.103  2001/09/26 11:53:54  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.102  2001/09/14 06:41:29  kloczek
- updated to 2.4.4.

Revision 1.101  2001/09/05 17:46:14  areq
- 2.4.3, STBR
- remove OMIT.patch

Revision 1.100  2001/08/24 03:39:21  kloczek
- updatadet to 2.4.2.

Revision 1.99  2001/08/08 22:24:25  kloczek
- updated to 2.4.1.

Revision 1.98  2001/08/05 21:56:18  blues
- 2.4.0
- buildrequires added
- rm missing
- some cosmetics

Revision 1.97  2001/05/27 09:28:13  kloczek
- updated to 2.3.11.

Revision 1.96  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.95  2001/05/14 22:29:01  blues
- libs workaround - now there are proto-xxxx.so in proper place with proper
  extension
- cosmetics

Revision 1.94  2001/05/14 22:03:34  blues
- typo

Revision 1.93  2001/05/14 21:52:50  blues
- version 2.3.10
- readline-patch updated
- OMIT-patch added - remove OMMIT-DEPENDENCES
NFY: proto-ftp and proto-http shared libraries are made with .soU extension

Revision 1.92  2001/05/09 00:21:59  kloczek
- ups - missing "\".

Revision 1.91  2001/05/09 00:11:42  kloczek
- release 4,
- added handling %%{_without_ssl} for allow disable compile withut SSL
  support,
- rebuild against openssl 0.9.6a.

Revision 1.90  2001/05/07 13:40:51  kloczek
- release 3.

Revision 1.89  2001/05/07 12:54:45  baggins
- added libtoolize

Revision 1.88  2001/04/14 12:15:33  qboosh
- really BuildRequires: gcc-c++

Revision 1.87  2001/04/14 12:03:14  qboosh
- readline patch, changed modules path, removed unnecesary lines
- BuildRequires: gcc-c++

Revision 1.86  2001/04/13 07:27:33  kloczek
- release 2,
- rebuild against readline 4.2,
- added using %%{rpmcflags} macro,
- added use_system_gettext.m4, am14_fix patches,
NOTE: NYF.

Revision 1.85  2001/03/22 17:36:57  misiek
removed buildrequires: libstdc++-devel (not needed); 2.3.9; stb

Revision 1.84  2001/02/16 23:03:34  misiek
2.3.8. stb

Revision 1.83  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.82  2001/01/16 00:44:36  kloczek
- updated to 2.3.7.

Revision 1.81  2001/01/02 18:33:51  kloczek
- updated to 2.3.6 and removed outdated pl.po patch.

Revision 1.80  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.79  2000/12/17 10:55:04  misiek
release 2; fixed wrong pl translation

Revision 1.78  2000/11/26 11:00:11  misiek
2.3.5 version; reenabled modules

Revision 1.77  2000/11/20 19:33:20  kloczek
- release 3.

Revision 1.76  2000/11/20 16:34:47  misiek
rfc2732 support

Revision 1.75  2000/11/16 22:25:02  agaran
added libstdc++-devel to buildrequires

Revision 1.74  2000/10/22 19:07:53  kloczek
- fix in %insyall for disable modules.

Revision 1.73  2000/10/22 18:59:36  kloczek
- commented modules entries in %files.

Revision 1.72  2000/10/22 17:15:56  kloczek
- release 2,
- build without shared modules for avoid problems with modules in current
  version.

Revision 1.71  2000/10/14 12:36:55  kloczek
- updated to 2.3.4.

Revision 1.70  2000/10/02 14:28:35  kloczek
- updated to 2.3.3.

Revision 1.69  2000/09/30 22:05:30  kloczek
- updated to 2.3.2.

Revision 1.68  2000/09/27 13:48:43  kloczek
- removed outdated epsv patch.

Revision 1.67  2000/09/27 13:45:08  kloczek
- updated to 2.3.1,
- changes for using rpm automation.

Revision 1.66  2000/09/21 18:46:02  baggins
- release 2
- added fix for EPSV

Revision 1.65  2000/09/19 20:34:46  kloczek
- adapterized.

Revision 1.64  2000/09/19 18:33:55  baggins
- updated to 2.3.0

Revision 1.63  2000/09/08 03:53:13  kloczek
- updated to 2.2.6,
- spec adapterized.

Revision 1.62  2000/08/02 02:04:06  kloczek
- updated to 2.2.5.

Revision 1.61  2000/07/18 15:28:27  kloczek
- updated to 2.2.4.

Revision 1.60  2000/07/13 23:12:34  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.59  2000/07/13 20:44:11  baggins
- release 2

Revision 1.58  2000/06/27 18:59:23  kloczek
- changed Source url.

Revision 1.57  2000/06/09 08:11:58  kloczek
- updated to 2.2.3.

Revision 1.56  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.55  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.54  2000/04/20 23:45:18  kloczek
- updated to 2.2.1a.

Revision 1.53  2000/04/04 18:45:21  kloczek
- updayed to 2.2.0a.

Revision 1.52  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.51  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.50  2000/03/23 12:38:33  kloczek
- release 2,
- rebuild agains readline 4.1.

Revision 1.49  2000/03/10 02:17:52  kloczek
- updated to 2.1.10.

Revision 1.48  2000/02/23 05:31:40  kloczek
- updated to 2.1.9.

Revision 1.47  2000/02/18 23:48:53  kloczek
- updated to 2.1.8.

Revision 1.46  2000/02/15 06:52:03  wiget
2.1.7

Revision 1.45  2000/01/14 17:22:49  kloczek
- updated to 2.1.6.

Revision 1.44  2000/01/13 03:02:06  kloczek
- updated to 2.1.5,
- best C++ optimization (added "-fno-rtti -fno-exceptions
  -fno-implicit-templates" to CXXFLAGS),
- adapterized,
- updated Source url,
- added URL.

Revision 1.43  1999/11/16 17:22:42  kloczek
- ">" replaced by ">=" for requiring ncurses-devel.

Revision 1.42  1999/11/16 17:20:42  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.41  1999/11/09 07:19:37  kura
- changed Group to Applications/Networking

Revision 1.40  1999/10/24 22:37:01  kloczek
- updated to 2.1.4.

Revision 1.39  1999/10/18 02:39:30  kloczek
- updated to 2.1.3,
- Source tar ball changed to bz2.

Revision 1.38  1999/10/10 14:49:27  kloczek
- updated to 2.1.2.

Revision 1.37  1999/10/04 14:36:11  kloczek
- updated to 2.1.1.

Revision 1.36  1999/09/29 02:09:45  kloczek
- updated to 2.1.0.

Revision 1.35  1999/09/25 17:30:59  kloczek
- added patch which enable passive mode transfer in global config file.
- added "BuildRequires: gettext-devel".

Revision 1.34  1999/09/25 14:27:14  pius
- updated to 2.0.5

Revision 1.33  1999/07/27 02:54:47  kloczek
- updated to 2.0.3,
- removed User-Agent patch (integratedin current version),
- updated Source url.

Revision 1.32  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.31  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.4-4]
- more rpm macros,
- added rpm BuildPrereq rules.

* Tue Apr 20 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.4-3]
- changed Group to Networking/Utilities,
- added resdline-devel to BuildPrereq,
- removed %%requires_pkg (dependences for ncurses is generted automatycally).

* Mon Apr 20 1999 Piotr Czerwiski <pius@pld.org.pl>
- recompiled on rpm 3,
- added %requires_pkg macro and BuildPrereq,
- replacements in %files.

* Thu Mar 18 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.2.4-2]
- gzipping documentation (instead bzipping)

* Tue Feb 23 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2.4-1]
- removed man group from man pages,
- added "Requires: ncurses => 4.2-12" for prevent using lftp with proper
  version ncurses,
- removed "rm -rf $RPM_BUILD_ROOT" from %prep,
- simplification in %files,
- changed %lang to pt_BR on pt_BR lftp.mo.

* Fri Jun 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.0.1-1d]
- build against glibc-2.1,
- translation modified for pl,
- moved %changelog at the end of spec.
